Put blob into store
PUT
/store/v1/blob
const url = 'https://example.com/store/v1/blob';const options = { method: 'PUT', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/octet-stream'}, body: 'binary'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request PUT \ --url https://example.com/store/v1/blob \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/octet-stream' \ --data binaryPut blob into store
If no multicodec is provided, the default (0x55: raw binary) will be used.
Authorizations
Section titled “Authorizations ”Parameters
Section titled “ Parameters ”Query Parameters
Section titled “Query Parameters ” multicodec_code
integer format: int64
Request Body required
Section titled “Request Body required ” Media type application/octet-stream
string format: binary
Responses
Section titled “ Responses ”Put
Media type application/json
object
cid
required
string
Example generated
{ "cid": "example"}